Users

Create user

POST
/users.json

Create a new user (requires admin privileges)

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Request Body

application/json
  1. body
user*

User create payload. login and mail are optional when reading other users, but required on create.

Response Body

The request has succeeded and a new resource has been created as a result.

application/json
  1. response
user*

Redmine User.

Non-admin users only see some fields of other users (e.g. login, mail, api_key and status may be missing).

curl -X POST 'https://redmine.example.com/users.json' \  -H 'Content-Type: application/json' \  -d '{  "user": {    "firstname": "string",    "lastname": "string",    "login": "string",    "mail": "string"  }}'
{  "user": {    "id": 0,    "login": "string",    "admin": true,    "firstname": "string",    "lastname": "string",    "mail": "string",    "status": 1,    "api_key": "string",    "avatar_url": "string",    "twofa_scheme": "string",    "custom_fields": [      {        "id": 0,        "name": "string",        "multiple": true,        "value": "string"      }    ],    "created_on": "2019-08-24T14:15:22Z",    "updated_on": "2019-08-24T14:15:22Z",    "last_login_on": "2019-08-24T14:15:22Z",    "passwd_changed_on": "2019-08-24T14:15:22Z",    "groups": [      {        "id": 0,        "name": "string"      }    ],    "memberships": [      {        "id": 0,        "project": {          "id": 0,          "name": "string"        },        "user": {          "id": 0,          "name": "string"        },        "group": {          "id": 0,          "name": "string"        },        "roles": [          {            "id": 0,            "name": "string",            "inherited": true          }        ]      }    ]  }}